Update a user
curl --request PUT \
--url https://api.spenza.com/api/v1.1/users/{email} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Jane Doe",
"phoneNumber": "+12031134322",
"address": "47 W 13th St",
"city": "New York",
"state": "New York",
"zipcode": "10011",
"department": "Engineering"
}
'import requests
url = "https://api.spenza.com/api/v1.1/users/{email}"
payload = {
"name": "Jane Doe",
"phoneNumber": "+12031134322",
"address": "47 W 13th St",
"city": "New York",
"state": "New York",
"zipcode": "10011",
"department": "Engineering"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Jane Doe',
phoneNumber: '+12031134322',
address: '47 W 13th St',
city: 'New York',
state: 'New York',
zipcode: '10011',
department: 'Engineering'
})
};
fetch('https://api.spenza.com/api/v1.1/users/{email}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"name": "Jane Doe",
"email": "jane@example.com",
"phoneNumber": "+12031134322",
"department": "Engineering",
"status": "ACTIVE"
}
}Users
Update a user
Update a user. Any subset of the mutable fields — email itself is not updatable. Passing an empty department clears it.
PUT
/
api
/
v1.1
/
users
/
{email}
Update a user
Authorizations
Bearer token obtained from POST /api/v1.1/auth/token.
Path Parameters
User's email address — the only identifier this API exposes for a user.
Example:
"jane@example.com"
Body
application/json
Response
Updated.

